<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/tettri.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>tettri.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for tettri.c:</div>
<div class="dynsection">
<div class="center"><img src="tettri_8c__incl.png" border="0" usemap="#util_2tettri_8c_map" alt=""/></div>
<map name="util_2tettri_8c_map" id="util_2tettri_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="tettri_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tettri_8c.html#a3ea39ff11354754297822b91f4922d52">triarea</a> (PetscReal *v0, PetscReal *v1, PetscReal *v2, PetscReal *n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tettri_8c.html#ad362da888961433eb994e6a5bc0c818d">tetvol</a> (PetscReal *x1, PetscReal *x2, PetscReal *x3, PetscReal *x4)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1">tetnb</a> (int *tet1, int *tet2, int *vshared)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tettri_8c.html#a62d7f69412ba9d0be81b6d815062456b">TetSharedVertices</a> (int *v1, int *v2, int *s)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aa5edf1170e954574fb88dff3cafac7c1"></a><!-- doxytag: member="tettri.c::tetnb" ref="aa5edf1170e954574fb88dff3cafac7c1" args="(int *tet1, int *tet2, int *vshared)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int tetnb </td>
          <td>(</td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>tet1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>tet2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>vshared</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="tettri_8c_source.html#l00072">72</a> of file <a class="el" href="tettri_8c_source.html">tettri.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, and <a class="el" href="mesh2dual_8c_source.html#l00531">Mesh2Dual2()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="tettri_8c_aa5edf1170e954574fb88dff3cafac7c1_icgraph.png" border="0" usemap="#tettri_8c_aa5edf1170e954574fb88dff3cafac7c1_icgraph_map" alt=""></div>
<map name="tettri_8c_aa5edf1170e954574fb88dff3cafac7c1_icgraph_map" id="tettri_8c_aa5edf1170e954574fb88dff3cafac7c1_icgraph">
<area shape="rect" id="node3" href="init_8h.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="272,5,333,35"/><area shape="rect" id="node9" href="util_8h.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="109,58,195,89"/><area shape="rect" id="node20" href="util_8h.html#a6210ae7524754edb5738f9516cb92654" title="Mesh2Dual2" alt="" coords="105,111,199,142"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="407,58,465,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="515,58,565,89"/><area shape="rect" id="node11" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="249,58,356,89"/><area shape="rect" id="node15" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="249,111,356,142"/><area shape="rect" id="node18" href="util_8h.html#ad881c6e71023a337d9a87f59d207106c" title="PidSharedArea" alt="" coords="248,165,357,195"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a62d7f69412ba9d0be81b6d815062456b"></a><!-- doxytag: member="tettri.c::TetSharedVertices" ref="a62d7f69412ba9d0be81b6d815062456b" args="(int *v1, int *v2, int *s)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TetSharedVertices </td>
          <td>(</td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>v2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>s</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="tettri_8c_source.html#l00101">101</a> of file <a class="el" href="tettri_8c_source.html">tettri.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="tettri_8c_a62d7f69412ba9d0be81b6d815062456b_icgraph.png" border="0" usemap="#tettri_8c_a62d7f69412ba9d0be81b6d815062456b_icgraph_map" alt=""></div>
<map name="tettri_8c_a62d7f69412ba9d0be81b6d815062456b_icgraph_map" id="tettri_8c_a62d7f69412ba9d0be81b6d815062456b_icgraph">
<area shape="rect" id="node3" href="util_8h.html#ad881c6e71023a337d9a87f59d207106c" title="PidSharedArea" alt="" coords="181,5,291,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad362da888961433eb994e6a5bc0c818d"></a><!-- doxytag: member="tettri.c::tetvol" ref="ad362da888961433eb994e6a5bc0c818d" args="(PetscReal *x1, PetscReal *x2, PetscReal *x3, PetscReal *x4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal tetvol </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x4</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="tettri_8c_source.html#l00055">55</a> of file <a class="el" href="tettri_8c_source.html">tettri.c</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="elevertvol_8c_source.html#l00030">tetgrad()</a>, and <a class="el" href="elevertvol_8c_source.html#l00074">tetqual()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="tettri_8c_ad362da888961433eb994e6a5bc0c818d_icgraph.png" border="0" usemap="#tettri_8c_ad362da888961433eb994e6a5bc0c818d_icgraph_map" alt=""></div>
<map name="tettri_8c_ad362da888961433eb994e6a5bc0c818d_icgraph_map" id="tettri_8c_ad362da888961433eb994e6a5bc0c818d_icgraph">
<area shape="rect" id="node3" href="init_8h.html#a2103238be825fa27dce52bbc795d532d" title="EleVertVol" alt="" coords="231,57,313,87"/><area shape="rect" id="node9" href="init_8h.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="379,5,440,35"/><area shape="rect" id="node14" href="init_8h.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="111,161,172,191"/><area shape="rect" id="node68" href="elevertvol_8c.html#aef5a137b230e99388bfdb98e300fb741" title="tetqual" alt="" coords="111,57,172,87"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1475,175,1533,206"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1581,175,1632,206"/><area shape="rect" id="node11" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="497,5,556,35"/><area shape="rect" id="node16" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="225,161,319,191"/><area shape="rect" id="node62" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="221,214,323,245"/><area shape="rect" id="node18" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="375,161,444,191"/><area shape="rect" id="node20" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="504,262,549,293"/><area shape="rect" id="node52" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="607,159,708,190"/><area shape="rect" id="node22" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="616,266,699,297"/><area shape="rect" id="node48" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1319,419,1404,450"/><area shape="rect" id="node58" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="623,213,692,243"/><area shape="rect" id="node24" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1297,241,1425,271"/><area shape="rect" id="node30" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="787,213,864,243"/><area shape="rect" id="node35" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="779,266,872,297"/><area shape="rect" id="node27" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1477,241,1531,271"/><area shape="rect" id="node32" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="943,110,1068,141"/><area shape="rect" id="node37" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="967,163,1044,194"/><area shape="rect" id="node42" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="959,266,1052,297"/><area shape="rect" id="node39" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1117,162,1248,193"/><area shape="rect" id="node44" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1156,215,1209,246"/><area shape="rect" id="node54" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="757,109,893,139"/><area shape="rect" id="node64" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="372,214,447,245"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3ea39ff11354754297822b91f4922d52"></a><!-- doxytag: member="tettri.c::triarea" ref="a3ea39ff11354754297822b91f4922d52" args="(PetscReal *v0, PetscReal *v1, PetscReal *v2, PetscReal *n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal triarea </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>v2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>n</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="tettri_8c_source.html#l00029">29</a> of file <a class="el" href="tettri_8c_source.html">tettri.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="tettri_8c_a3ea39ff11354754297822b91f4922d52_icgraph.png" border="0" usemap="#tettri_8c_a3ea39ff11354754297822b91f4922d52_icgraph_map" alt=""></div>
<map name="tettri_8c_a3ea39ff11354754297822b91f4922d52_icgraph_map" id="tettri_8c_a3ea39ff11354754297822b91f4922d52_icgraph">
<area shape="rect" id="node3" href="util_8h.html#ad881c6e71023a337d9a87f59d207106c" title="PidSharedArea" alt="" coords="112,5,221,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

